This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 980988 - freeipa missing dependency on openssh
freeipa missing dependency on openssh
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: freeipa (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rob Crittenden
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 14:18 EDT by Nathaniel McCallum
Modified: 2013-07-25 20:33 EDT (History)
4 users (show)

See Also:
Fixed In Version: freeipa-3.2.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-25 20:33:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathaniel McCallum 2013-07-03 14:18:40 EDT
F19 introduced a lightweight containers: http://fedoraproject.org/wiki/Features/SystemdLightweightContainers

If you follow the instructions above to create a container, after installing freeipa in the container the following error occurs during ipa-client-install.

Traceback (most recent call last):
  File "/usr/sbin/ipa-client-install", line 2550, in <module>
    sys.exit(main())
  File "/usr/sbin/ipa-client-install", line 2536, in main
    rval = install(options, env, fstore, statestore)
  File "/usr/sbin/ipa-client-install", line 2344, in install
    update_ssh_keys(cli_server[0], hostname, ipaservices.knownservices.sshd.get_config_dir(), options.create_sshfp)
  File "/usr/sbin/ipa-client-install", line 1415, in update_ssh_keys
    for basename in os.listdir(ssh_dir):
OSError: [Errno 2] No such file or directory: '/etc/ssh'

2013-07-03T16:16:35Z INFO   File "/usr/lib/python2.7/site-packages/ipaserver/install/installutils.py", line 616, in run_script
    return_value = main_function()

  File "/sbin/ipa-server-install", line 1188, in main
    sys.exit("Configuration of client side components failed!\nipa-client-install returned: " + str(e))


If you install openssh and re-run the installation, it completes successfully.
Comment 1 Rob Crittenden 2013-07-03 14:25:33 EDT
Configuring ssh is optional so we can't add a dependency, we just need to not assume it is always there.
Comment 2 Alexander Bokovoy 2013-07-03 14:27:33 EDT
Given that openssh package has no configuration files, we better fix ipa-client-install to skip configuring ssh.
Comment 3 Rob Crittenden 2013-07-03 14:27:38 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3766
Comment 4 Rob Crittenden 2013-07-09 12:21:27 EDT
Fixed upstream.

master: 784f484cad5f823d0a56dbcaa8f71d1fef4286b9

ipa-3-2: a99f2054f6c4b84fbe331484824345e4dff6e7c9
Comment 5 Fedora Update System 2013-07-17 12:48:18 EDT
freeipa-3.2.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/freeipa-3.2.2-1.fc19
Comment 6 Fedora Update System 2013-07-18 01:51:47 EDT
Package freeipa-3.2.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freeipa-3.2.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13224/freeipa-3.2.2-1.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-07-25 20:33:13 EDT
freeipa-3.2.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.